Bug 110912 - Invalid Argument Error (22) in rpm when running redhat-config-packages
Invalid Argument Error (22) in rpm when running redhat-config-packages
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-25 10:20 EST by Joshua Chessman
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-30 10:08:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Chessman 2003-11-25 10:20:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
When I try and run the redhat-config-packages program to manage my
installed packages I get the following error text generated in my
console window:

>redhat-config-packages
rpmdb: /var/lib/rpm/Packages: unsupported hash version: 8
error: cannot open Packages index using db3 - Invalid argument (22)
Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 159, in ?
    hdlist.mergeRpmDb()
  File "/usr/share/redhat-config-packages/hdrlist.py", line 32, in
mergeRpmDb
    db = rpm.opendb(0, instPath)
rpm404.error

I have worked through the various suggestions to fix this problem
(including the items at rpm.org and an attempted reinstall).

RPM seems to work okay (I can manually install packages), but I am not
an expert and don't know much about it in depth.

Version-Release number of selected component (if applicable):
rpm-4.1.1-1.8x

How reproducible:
Always

Steps to Reproduce:
1.From a shell run "redhat-config-packages"


Actual Results:  redhat-config-packages
rpmdb: /var/lib/rpm/Packages: unsupported hash version: 8
error: cannot open Packages index using db3 - Invalid argument (22)
Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 159, in ?
    hdlist.mergeRpmDb()
  File "/usr/share/redhat-config-packages/hdrlist.py", line 32, in
mergeRpmDb
    db = rpm.opendb(0, instPath)
rpm404.error


Expected Results:  The graphical interface would open.

Additional info:

I have a tar.gz copy of my rpm database directory available if necessary.
Comment 1 Jeff Johnson 2003-11-30 10:08:12 EST
You have incompatible db formats from mixing and matching
different packages that use /var/lib/rpm. db-4.1.25 is
backward compatible but db-4.0.14 is not forward compatible.

Running the script /usr/lib/rpm/rpmdb-ldcvt will convert
from db-4.1.25 format to db-4.0.14 format if you have db4-utils-4.0.14
installed.

There are also packages that provide forward compatibility (by
replacing db-4.0.14 with db-4.1.25) at
    ftp://ftp.rpm.org/pub/rpm/dist

Note You need to log in before you can comment on or make changes to this bug.